Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.rpcdispatcher.search
Class SearchException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.ejie.r01f.exceptions.R01FBaseException
                  com.ejie.r01f.rpcdispatcher.search.SearchException

All Implemented Interfaces:
  java.io.Serializable

public class SearchException
extends R01FBaseException

SearchException.java Created on 13 de diciembre de 2001, 18:28

Version:
Author:
  IE00165T
See Also:
  Serialized Form

Constructor Summary
`SearchException()` Creates new SearchException
`SearchException(java.lang.Exception cause)`
`SearchException(long exNumber, java.lang.Exception cause)`
`SearchException(long exNumber, java.lang.String msg)`
`SearchException(long exNumber, java.lang.String msg, java.lang.Exception cause)`
`SearchException(java.lang.String s)`
`SearchException(java.lang.String msg, java.lang.Exception cause)`

Methods inherited from class com.ejie.r01f.exceptions.R01FBaseException
`getDetailedMessage, getErrorNumber, getMessage, getRawMessage, setErrorNumber, toHtml, toString, toXML`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SearchException

    public SearchException(java.lang.Exception cause)

Parameters:
  `cause` -

### SearchException

    public SearchException(long exNumber,
                           java.lang.Exception cause)

Parameters:
  `exNumber` -
  `cause` -

### SearchException

    public SearchException(long exNumber,
                           java.lang.String msg,
                           java.lang.Exception cause)

Parameters:
  `exNumber` -
  `msg` -
  `cause` -

### SearchException

    public SearchException(long exNumber,
                           java.lang.String msg)

Parameters:
  `exNumber` -
  `msg` -

### SearchException

    public SearchException(java.lang.String msg,
                           java.lang.Exception cause)

Parameters:
  `msg` -
  `cause` -

### SearchException

    public SearchException()

  Creates new SearchException

### SearchException

    public SearchException(java.lang.String s)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD